Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Class ContainerPropertyEvent

    java.lang.Object
      java.util.EventObject
          com.pietschy.command.ContainerPropertyEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ContainerPropertyEvent

extends java.util.EventObject

Fired by commands when there is a change to a container property value.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ContainerPropertyEvent(Command source, java.lang.String propertyName, java.lang.Object newValue)` Creates a new instance.

Method Summary
`java.lang.Object` | `getNewValue()` Gets the new property value.
`java.lang.String` | `getPropertyName()` Gets the property name that changed.
`Command` | `getSource()` Gets the command that fired the event.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerPropertyEvent

    public ContainerPropertyEvent(Command source,
                                  java.lang.String propertyName,
                                  java.lang.Object newValue)

  Creates a new instance.

  Parameters:
    `source` - the command whose container's property has changed.
    `propertyName` - the name of the property that changed.
    `newValue` - the new property value.

Method Detail

### getSource

    public Command getSource()

  Gets the command that fired the event.

  Overrides:
    `getSource` in class `java.util.EventObject`
  Returns:
    the command that fired the event.

### getPropertyName

    public java.lang.String getPropertyName()

  Gets the property name that changed.

  Returns:
    the property name that changed.

### getNewValue

    public java.lang.Object getNewValue()

  Gets the new property value.

  Returns:
    the new property value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch